(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(['exports', 'react'], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require('react'));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react);
    global.Button = mod.exports;
  }
})(this, function (exports, _react) {
  'use strict';

  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.Button = undefined;

  var _react2 = _interopRequireDefault(_react);

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
      default: obj
    };
  }

  var Button = exports.Button = function Button(_ref) {
    var children = _ref.children;
    var className = _ref.className;
    var onClick = _ref.onClick;
    return _react2.default.createElement(
      'button',
      { className: 'btn' + (className ? ' ' + className : ''), onClick: onClick },
      children
    );
  };

  Button.propTypes = {
    children: _react.PropTypes.node,
    className: _react.PropTypes.string,
    onClick: _react.PropTypes.func
  };
});